qdap

qdap (Quantitative Discourse Analysis Package) is an R package designed to assist in quantitative discourse analysis. The package stands as a bridge between qualitative transcripts of dialogue and statistical analysis and visualization.

qdapicon


Installation

To download the development version of qdap:

Download the zip ball or tar ball, decompress and run R CMD INSTALL on it, or use the devtools package to install the development version:

# install.packages("devtools")

library(devtools)
install_github("trinker/qdapDictionaries")
install_github("trinker/qdapRegex")
install_github("trinker/qdapTools")
install_github("trinker/qdap")

Note: Windows users need Rtools and devtools to install this way.


Help

qdap Web Page
Package Vignette
Package PDF Help Manual

9 Responses to qdap

  1. Pingback: Parallelization: Speed up Functions in a Package | TRinker's R Blog

  2. clarkfitzg says:

    Thanks for building this package- I’ve been enjoying the functionality.

  3. Buvnesh says:

    library(devtools)
    Error in library(devtools) : there is no package called ‘devtools’
    > install_github(“qdap”, “trinker”)
    Error: could not find function “install_github”

    wat to do now bro this doesnt worked out in R console

  4. tylerrinker says:

    You missed the line: install.packages(“devtools”). I’m guessing you’re newer to R. I’d highly suggest you check out two resources I really found helpful: The intro manual (http://cran.wustl.edu/doc/manuals/R-intro.pdf) and the Quick-R cite (http://www.statmethods.net/). The Quick-R author, Kabacoff, is a very helpful and has written a book called R in Action that I also like a ton.

  5. angechow says:

    That’s really helpful!!! Yup, we are new to R. Thank you!

  6. Eileen says:

    Hi Tyler! I am new to R and I am using it for my school project to conduct sentiment analysis on news articles. Which package would you recommend? qdap or sentimentr?:) In addition, do these packages take into account negation words/valance shifters? Thanks for your help in advance and looking forward to your reply!

  7. addyag93 says:

    while installing through devtools i m getting following error on “install_github(“trinker/qdap”)”
    checking for file ‘/tmp/Rtmpp5mkGU/remotes1391713107e7/trinker-qdap-5902d09/DESCRIPT✔ checking for file ‘/tmp/Rtmpp5mkGU/remotes1391713107e7/trinker-qdap-5902d09/DESCRIPTION’
    ─ preparing ‘qdap’:
    E checking DESCRIPTION meta-information …
    Malformed Depends or Suggests or Imports or Enhances field.
    Offending entries:
    Imports: chron
    Entries must be names of packages optionally followed by ‘=’,
    white space, and a valid version number in parentheses.

    See section ‘The DESCRIPTION file’ in the ‘Writing R Extensions’
    manual.

    Error in (function (command = NULL, args = character(), error_on_status = TRUE, :
    System command error
    In addition: Warning message:
    In is.na(remote_deps$package) :
    is.na() applied to non-(list or vector) of type ‘NULL’

    How to proceed on such errors ? Please help.

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out /  Change )

Google photo

You are commenting using your Google account. Log Out /  Change )

Twitter picture

You are commenting using your Twitter account. Log Out /  Change )

Facebook photo

You are commenting using your Facebook account. Log Out /  Change )

Connecting to %s